argoGrid {oce} | R Documentation

## Grid a Argo drifter path

### Description

Grid a Argo drifter, by interpolating to fixed pressure levels.

### Usage

    argoGrid(argo, p, debug=getOption("oceDebug"), ...)

### Arguments

`argo` | a `argo` object to be gridded.
`p` | optional indication of the pressure levels to which interpolation should be done. If this is not supplied, the pressure levels will be calculated based on the existing values, using medians. If `p="levitus"`, then pressures will be set to be those of the Levitus atlas, given by `standardDepths`, trimmed to the maximum pressure in `argo`. If `p` is a single numerical value, it is taken as the number of subdivisions to use in a call to `seq` that has range from 0 to the maximum pressure in `argo`. Finally, if a vector numerical values is provided, then it is used as is.
`debug` | a flag that turns on debugging. Higher values provide deeper debugging.
`...` | optional arguments to `approx`, which is used to do the gridding.

### Details

The gridding is done with `approx`. If there is sufficient user demand, other methods may be added, by analogy to `sectionGrid`.

### Value

An object of `class` `"argo"` that contains a pressure matrix with constant values along the first index.

### Author(s)

Dan Kelley

### See Also

The documentation for `argo-class` explains the structure of argo objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(argo)
    g <- argoGrid(argo, p=seq(0, 100, 1))
    par(mfrow=c(2,1))
    t <- g[["time"]]
    z <- -g[["pressure"]][,1]
    ## Set zlim because of spurious temperatures.
    imagep(t, z, t(g[['temperature']]), ylim=c(-100,0), zlim=c(0,20))
    imagep(t, z, t(g[['salinity']]), ylim=c(-100,0))

[Package oce version 0.9-18 Index]